/* 
   ckcom - add and read comments to a C-kernel
*/


#include "SpiceUsr.h"
#include "SpiceZmc.h"
#include "SpiceZfc.h"

int main()
{

   #define  BMARK    " "
   #define  CKFILE   "test.bck"
   #define  EMARK    " "
   #define  STRLEN   32 
   #define  TXTFIL   "comments.txt"

   SpiceInt handle;
   SpiceInt unit;

   /* 
      Open c-kernel and text file
   */

   dafopw_ ( CKFILE, &handle, strlen(CKFILE) );
 
   printf("strlen(ckfile) = %d\n", strlen(CKFILE)); 
   printf("c-kernel handle = %d\n", handle ); 

   txtopr_ ( TXTFIL, &unit, STRLEN ); 

   printf("strlen(txtfil) = %d\n", strlen(TXTFIL)); 
   printf("text file unit number = %d\n", unit);

   /*
      Add contents of text file to c-kernel
   */

   spcac_ ( &handle, &unit, BMARK, EMARK, strlen(BMARK), strlen(EMARK) ); 
    
   ckcls_c ( handle );
   ftncls_c ( unit );

   return(0);
}
  
